import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

import com.mysql.management.driverlaunched.ServerLauncherSocketFactory;

public class ConnectorMXJUrlTestExample {
    public static void main(String[] args) throws Exception {
        String DRIVER = "com.mysql.jdbc.Driver";
        String JAVA_IO_TMPDIR = "java.io.tmpdir";
        File tmpDir = new File(System.getProperty(JAVA_IO_TMPDIR));
        File baseDir = new File(tmpDir, "test-mxj");

        String hostColonPort = "localhost:3336";

        String url = "jdbc:mysql://" + hostColonPort + "/test" + "?"
                + "socketFactory="
                + ServerLauncherSocketFactory.class.getName() + "&"
                + "server.basedir=" + baseDir;

        System.out.println(url);

        String userName = "root";
        String password = "";

        Class.forName(DRIVER);
        Connection conn = null;
        try {
            conn = DriverManager.getConnection(url, userName, password);
            Statement stmt = conn.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT VERSION()");
            int columns = rs.getMetaData().getColumnCount();
            System.out.println("------------------------");
            while (rs.next()) {
                for (int i = 1; i <= columns; i++) {
                    System.out.println(rs.getString(i));
                }
                System.out.println();
            }
            rs.close();
            stmt.close();
            System.out.println("------------------------");
            System.out.flush();
            Thread.sleep(100); // wait for System.out to finish flush
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
            ServerLauncherSocketFactory.shutdown(hostColonPort);
        }
    }
}
